
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>prototype.js是什么?(prototype教程示例) / iVAN</title>

    <meta name="description" content="prototype.js是什么?(prototype教程示例) js|教程|示例|prototype prototype.js是什么?万一你没有使用过大名鼎鼎的prototype.js,那么让我来告诉你,prototype.js是由Sam Stephenson写的一个javascript类库.这个构思奇妙,而且兼容标准的类库,能帮助你轻松建立有高度互动的web2.0特性的富客户端页面. 如果你最近尝试使用它,你大概了解到文档并不是作者的一个强项.和在我以前使用这个类库的不少开发者一样,一开始,我不得不一头扎进阅读prototype.js的源代码和实验它的功能">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">prototype.js是什么?(prototype教程示例)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>js|教程|示例|prototype</p>
<p>prototype.js是什么?<br />万一你没有使用过大名鼎鼎的prototype.js，那么让我来告诉你，prototype.js是由Sam Stephenson写的一个javascript类库。这个构思奇妙，而且兼容标准的类库，能帮助你轻松建立有高度互动的web2.0特性的富客户端页面。</p>
<p>如果你最近尝试使用它，你大概了解到文档并不是作者的一个强项。和在我以前使用这个类库的不少开发者一样，一开始，我不得不一头扎进阅读prototype.js的源代码和实验它的功能中。我想，在我学习完它之后，把我学到的东西分享给大家是件不错的事。</p>
<p>同时，在本文中，我也将提供一个关于这个类库提供的objects,classes,functions,extensions这对东东的非官方参考</p>
<p>在阅读这个文档时，熟悉Ruby的开发者将会注意到Ruby的一些内建类和本类库扩展实现之间非常相似。</p>
<p>相关文章<br />Advanced JavaScript guide.</p>
<p>一些实用的函数<br />这个类库带有很多预定义的对象和实用函数，这些东东的目的显然是把你从一些重复的打字中解放出来 。</p>
<p>使用$()方法<br />$() 方法是在DOM中使用过于频繁的 document.getElementById() 方法的一个便利的简写，就像这个DOM方法一样，这个方法返回参数传入的id的那个元素。</p>
<p>比起DOM中的方法，这个更胜一筹。你可以传入多个id作为参数然后 $() 返回一个带有所有要求的元素的一个 Array 对象。</p>
<p>&lt;HTML&gt;<br />&lt;HEAD&gt;<br />&lt;TITLE&gt; Test Page &lt;/TITLE&gt;<br />&lt;script src="prototype-1.3.1.js"&gt;&lt;/script&gt;<br />&lt;script&gt;<br />function test1()<br />{<br />var d = $('myDiv');<br />alert(d.innerHTML);<br />}<br />function test2()<br />{<br />var divs = $('myDiv','myOtherDiv');<br />for(i=0; i&lt;divs.length; i++)<br />{<br />alert(divs[i].innerHTML);<br />}<br />}<br />&lt;/script&gt;<br />&lt;/HEAD&gt;<br />&lt;BODY&gt;<br />&lt;div id="myDiv"&gt;<br />&lt;p&gt;This is a paragraph&lt;/p&gt;<br />&lt;/div&gt;<br />&lt;div id="myOtherDiv"&gt;<br />&lt;p&gt;This is another paragraph&lt;/p&gt;<br />&lt;/div&gt;<br />&lt;input type="button" value=Test1 &gt;&lt;br&gt;<br />&lt;input type="button" value=Test2 &gt;&lt;br&gt;<br />&lt;/BODY&gt;<br />&lt;/HTML&gt;另外一个好处是，这个函数能传入用string表示的对象ID，也可以传入对象本身，这样，在建立其它能传两种类型的参数的函数时非常有用。</p>
<p>使用$F()函数<br />$F()函数是另一个大收欢迎的“快捷键”，它能用于返回任何表单输入控件的值，比如text box,drop-down list。这个方法也能用元素id或元素本身做为参数。</p>
<p>&lt;script&gt;<br />function test3()<br />{<br />alert(  $F('userName')  );<br />}<br />&lt;/script&gt;<br />&lt;input type="text" id="userName" value="Joe Doe"&gt;&lt;br&gt;<br />&lt;input type="button" value=Test3 &gt;&lt;br&gt;<br />使用$A()函数<br />$A()函数能把它接收到的单个的参数转换成一个Array对象。</p>
<p>这个方法，结合被本类库扩展了的Array类，能方便的把任何的可枚举列表转换成或拷贝到一个Array对象。一个推荐的用法就是把DOM Node Lists转换成一个普通的Array对象，从而更有效率的进行遍历，请看下面的例子。</p>
<p>&lt;script&gt;<br />function showOptions(){<br />var someNodeList = $('lstEmployees').getElementsByTagName('option');<br />var nodes = $A(someNodeList);<br />nodes.each(function(node){<br />alert(node.nodeName + ': ' + node.innerHTML);<br />});<br />}<br />&lt;/script&gt;<br />&lt;select id="lstEmployees" size="10" &gt;<br />&lt;option value="5"&gt;Buchanan, Steven&lt;/option&gt;<br />&lt;option value="8"&gt;Callahan, Laura&lt;/option&gt;<br />&lt;option value="1"&gt;Davolio, Nancy&lt;/option&gt;<br />&lt;/select&gt;<br />&lt;input type="button" value="Show the options"  &gt;</p>
<p>使用 $H() 函数<br />$H()函数把一些对象转换成一个可枚举的和联合数组类似的Hash对象。</p>
<p>&lt;script&gt;<br />function testHash()<br />{<br />//let's create the object<br />var a = {<br />first: 10,<br />second: 20,<br />third: 30<br />};<br />//now transform it into a hash<br />var h = $H(a);<br />alert(h.toQueryString()); //displays: first=10&amp;second=20&amp;third=30<br />}<br />&lt;/script&gt;</p>
<p>使用$R()函数<br />$R()是new ObjectRange(lowBound,upperBound,excludeBounds)的缩写。</p>
<p>跳到ObjectRange 类文档可以看到一个关于此类的完整描述. 此时，我们还是先来看一个例子以展示这个缩写能代替哪些方法吧。其它相关的一些知识可以在Enumerable 对象文档中找到。</p>
<p>&lt;script&gt;<br />function demoDollar_R(){<br />var range = $R(10, 20, false);<br />range.each(function(value, index){<br />alert(value);<br />});<br />}<br />&lt;/script&gt;<br />&lt;input type="button" value="Sample Count"  &gt;</p>
<p>使用Try.these()函数<br />Try.these() 方法使得实现当你想调用不同的方法直到其中的一个成功正常的这种需求变得非常容易， 他把一系列的方法作为参数并且按顺序的一个一个的执行这些方法直到其中的一个成功执行，返回成功执行的那个方法的返回值。</p>
<p>在下面的例子中， xmlNode.text在一些浏览器中好用，但是xmlNode.textContent在另一些浏览器中正常工作。 使用Try.these()方法我们可以得到正常工作的那个方法的返回值。</p>
<p>&lt;script&gt;<br />function getXmlNodeValue(xmlNode){<br />    return Try.these(<br />        function() {return xmlNode.text;},<br />        function() {return xmlNode.textContent;)<br />        );<br />}<br />&lt;/script&gt;<br />  </p>
<p>Ajax对象<br />上面提到的共通方法非常好，但是面对它吧，它们不是最高级的那类东西。它们是吗？你很可能自己编写了这些甚至在你的脚本里面有类似功能的方法。但是这些方法只是冰山一角。</p>
<p>我很肯定你对prototype.js感兴趣的原因很可能是由于它的AJAX能力。所以让我们解释当你需要完成AJAX逻辑的时候，这个包如何让它更容易。</p>
<p>Ajax 对象是一个预定义对象，由这个包创建，为了封装和简化编写AJAX 功能涉及的狡猾的代码。 这个对象包含一系列的封装AJAX逻辑的类。我们来看看其中几个类。</p>
<p>使用Ajax.Request类<br />如果你不使用任何的帮助程序包，你很可能编写了整个大量的代码来创建XMLHttpRequest对象并且异步的跟踪它的进程， 然后解析出响应 然后处理它。当你不需要支持多于一种类型的浏览器时你会感到非常的幸运。</p>
<p>为了支持 AJAX 功能。这个包定义了 Ajax.Request 类。</p>
<p>假如你有一个应用程序可以通过url http://yoursever/app/get_sales?empID=1234&amp;year=1998与服务器通信。它返回下面这样的XML 响应。</p>
<p>&lt;?xml version="1.0" encoding="utf-8" ?&gt;<br />&lt;ajax-response&gt;<br />&lt;response type="object" id="productDetails"&gt;<br />&lt;monthly-sales&gt;<br />&lt;employee-sales&gt;<br />&lt;employee-id&gt;1234&lt;/employee-id&gt;<br />&lt;year-month&gt;1998-01&lt;/year-month&gt;<br />&lt;sales&gt;$8,115.36&lt;/sales&gt;<br />&lt;/employee-sales&gt;<br />&lt;employee-sales&gt;<br />&lt;employee-id&gt;1234&lt;/employee-id&gt;<br />&lt;year-month&gt;1998-02&lt;/year-month&gt;<br />&lt;sales&gt;$11,147.51&lt;/sales&gt;<br />&lt;/employee-sales&gt;<br />&lt;/monthly-sales&gt;<br />&lt;/response&gt;<br />&lt;/ajax-response&gt;<br />用 Ajax.Request对象和服务器通信并且得到这段XML是非常简单的。下面的例子演示了它是如何完成的。</p>
<p>&lt;script&gt;<br />function searchSales()<br />{<br />var empID = $F('lstEmployees');<br />var y = $F('lstYears');<br />var url = 'http://yoursever/app/get_sales';<br />var pars = 'empID=' + empID + '&amp;year=' + y;</p>
<p>var myAjax = new Ajax.Request(<br />url,<br />{<br />method: 'get',<br />parameters: pars,<br />onComplete: showResponse<br />});</p>
<p>}<br />function showResponse(originalRequest)<br />{<br />//put returned XML in the textarea<br />$('result').value = originalRequest.responseText;<br />}<br />&lt;/script&gt;<br />&lt;select id="lstEmployees" size="10" &gt;<br />&lt;option value="5"&gt;Buchanan, Steven&lt;/option&gt;<br />&lt;option value="8"&gt;Callahan, Laura&lt;/option&gt;<br />&lt;option value="1"&gt;Davolio, Nancy&lt;/option&gt;<br />&lt;/select&gt;<br />&lt;select id="lstYears" size="3" &gt;<br />&lt;option selected="selected" value="1996"&gt;1996&lt;/option&gt;<br />&lt;option value="1997"&gt;1997&lt;/option&gt;<br />&lt;option value="1998"&gt;1998&lt;/option&gt;<br />&lt;/select&gt;<br />&lt;br&gt;&lt;textarea id=result cols=60 rows=10 &gt;&lt;/textarea&gt;<br />你注意到传入 Ajax.Request构造方法的第二个对象了吗？ 参数{method: 'get', parameters: pars, onComplete: showResponse} 表示一个匿名对象的真实写法。他表示你传入的这个对象有一个名为 method 值为 'get'的属性，另一个属性名为 parameters 包含HTTP请求的查询字符串，和一个onComplete 属性/方法包含函数showResponse。</p>
<p>还有一些其它的属性可以在这个对象里面定义和设置，如 asynchronous，可以为true 或 false 来决定AJAX对服务器的调用是否是异步的（默认值是 true）。</p>
<p>这个参数定义AJAX调用的选项。在我们的例子中，在第一个参数通过HTTP GET命令请求那个url，传入了变量 pars包含的查询字符串， Ajax.Request 对象在它完成接收响应的时候将调用showResponse 方法。</p>
<p>也许你知道， XMLHttpRequest在HTTP请求期间将报告进度情况。这个进度被描述为四个不同阶段：Loading, Loaded, Interactive, 或 Complete。你可以使 Ajax.Request 对象在任何阶段调用自定义方法 ，Complete 是最常用的一个。想调用自定义的方法只需要简单的在请求的选项参数中的名为 onXXXXX 属性/方法中提供自定义的方法对象。 就像我们例子中的 onComplete 。你传入的方法将会被用一个参数调用，这个参数是 XMLHttpRequest 对象自己。你将会用这个对象去得到返回的数据并且或许检查包含有在这次调用中的HTTP结果代码的 status 属性。</p>
<p>还有另外两个有用的选项用来处理结果。我们可以在onSuccess 选项处传入一个方法，当AJAX无误的执行完后调用， 相反的，也可以在onFailure选项处传入一个方法，当服务器端出现错误时调用。正如onXXXXX 选项传入的方法一样，这两个在被调用的时候也传入一个带有AJAX请求的XMLHttpRequest对象。</p>
<p>我们的例子没有用任何有趣的方式处理这个 XML响应， 我们只是把这段XML放进了一个文本域里面。对这个响应的一个典型的应用很可能就是找到其中的想要的信息，然后更新页面中的某些元素， 或者甚至可能做某些XSLT转换而在页面中产生一些HTML。</p>
<p>在1.4.0版本中，一种新的事件回传外理被引入。如果你有一段代码总是要为一个特殊的事件执行，而不管是哪个AJAX调用引发它，那么你可以使用新的Ajax.Responders对象。</p>
<p>假设你想要在一个AJAX调用正在运行时，显示一些提示效果，像一个不断转动的图标之类的，你可以使用两个全局事件Handler来做到，其中一个在第一个调用开始时显示图标，另一个在最后一个调用完成时隐藏图标。看下面的例子。</p>
<p>&lt;script&gt;<br />var myGlobalHandlers = {<br />onCreate: function(){<br />Element.show('systemWorking');<br />},<br />onComplete: function() {<br />if(Ajax.activeRequestCount == 0){<br />Element.hide('systemWorking');<br />}<br />}<br />};<br />Ajax.Responders.register(myGlobalHandlers);<br />&lt;/script&gt;<br />&lt;div id='systemWorking'&gt;&lt;img src='spinner.gif'&gt;Loading...&lt;/div&gt;<br />更完全的解释，请参照 Ajax.Request 参考 和 Ajax选项参考。</p>
<p><b>[1] [2] [3] [4] [5]  下一页</b></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:17:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%a4%ba%e4%be%8b/" title="示例">示例</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%ba%9b/" title="一些">一些</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e8%80%85/" title="开发者">开发者</a>, <a href="https://www.iamivan.net/tag/prototype/" title="prototype">prototype</a>, <a href="https://www.iamivan.net/tag/%e4%bb%80%e4%b9%88%e6%98%afjs/" title="什么是JS">什么是JS</a>, <a href="https://www.iamivan.net/tag/prototype-js/" title="prototype js">prototype js</a>, <a href="https://www.iamivan.net/tag/%e4%bd%bf%e7%94%a8prototype-js/" title="使用prototype&period;js">使用prototype&period;js</a>, <a href="https://www.iamivan.net/tag/js%e7%b1%bb%e5%ba%93/" title="JS类库">JS类库</a>, <a href="https://www.iamivan.net/tag/js%e4%b8%adprototype/" title="js中prototype">js中prototype</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%bb%bajs%e5%af%b9%e8%b1%a1/" title="内建js对象">内建js对象</a>, <a href="https://www.iamivan.net/tag/%e5%a5%87%e5%a6%99%e7%9a%84js/" title="奇妙的js">奇妙的js</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>prototype.js是什么?(prototype教程示例)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz43gYp.html" rel="bookmark">调用prototype&period;js的ajax进行post提交示例源码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是index.html:&lt;%@LANGUAGE=&quot;VBSCRIPT&quot; CODEPAGE=&quot;65001&quot;%&gt; &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkZ67M.html" rel="bookmark">修改后的prototype&period;js，增加进度条和验证输入框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js 使用示例&lt;script type=&quot;text/javascript&quot; src=&quot;../scripts/prototype.js&quot;&gt;&lt;/script&gt;&lt;script type=&quot;text/javascript&quot;&gt;var progressBar;/**//** 功能:admin登录*/function UserLogin(){        //验证页面控件    var checkform = new Ch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaEwgb.html" rel="bookmark">prototype&period;js常用函数和用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数名  解释  举例  Element.toggle  交替隐藏或显示  Element.toggle(''div1'',''div2'')  Element.hide  隐藏  Element.hide(''div1'',''div2'')  Element.show 显示  Element.show(''div1'',''div2'')  Element.remove  删除  Element.remove(''div1'',''div2'')  Element.getHeight  取得			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zemmwz.html" rel="bookmark">js中的prototype和constructor</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.js中只有对象,包括对象,函数,常量等. 对象不用解释.函数也有属性,常见之一就是prototype.常量也有属性: (3).__proto__;//Number {} 2.函数的prototype 函数是一种特殊的对象,它可以直接通过小括号来执行自身代码. 函数还有一个特殊的属性prototype,它也是一个对象. prototype对象也有一个特殊的属性constructor,初始的时候它是指向该函数的. 也就是当js解释到function关键字的时候,会创建两个对象,一个是functi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYxKeb.html" rel="bookmark">基于prototype&period;js验证框架&lpar;validation&period;js&rpar;的三个应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近对prototype.js用的比较多,同时发现了一个基于prototype.js的验证框架: validation.js really easy field validation with prototype,下面是我在开发中用到的三个例子. 前提条件: 首先要在html页面中引入几个js &lt;script type='text/javascript' src='../script/prototype.js'&gt;&lt;/script&gt; &lt;script type='text/jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD7O6p.html" rel="bookmark">关于prototype&period;js的一些技术说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是转载,关于prototype.js的一些技术说明说明,比如关于javascript的apply和call函数,关于闭包,关于函数的绑定,关于事件的注册,关于事件监听最佳实践等等,很难得的一篇文章,从dnew.cn转载而来. 关于闭包 prototype.js在Class.create,bind等中用到javascript的闭包特色.但整体上prototype.js对于强大的闭包特性用的不多.大家可以参阅我翻译的篇文章了解闭包. 3.让我比较反感的两个方法 (1) var Class = {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpd9o1z.html" rel="bookmark">对prototype&period;js进行的扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近的项目中要使用ajax,于是对各种ajaxframework在进行比较之后,最终选择了prototype.js,由于prototype.js是一个非常基础的ajaxframework,需要根据项目需求自己来进行一些扩展,下面就是我所做的一些扩展,如有误,请指正! 我实现了一个Form.Element.ValidationObserver,这个类需要依赖Validation.js以及相应的css(validation-advice),该类是对表单中的单个元素通过ajax结合后台进行验证,其中因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bady8qz.html" rel="bookmark">Prototype&period;js evalJSON&lpar;&rpar;等于json&period;js的parseJSON&lpar;&rpar;？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Prototype.js evalJSON()等于json.js的parseJSON()? Prototype.js evalJSON()方法与json.js的parseJSON()功能是否一样啊? 这两个方法是不是都是把json字符串转化为json对象啊? 解决方案 JSON.parse()之可以解析json格式的数据,并且会对要解析的字符串进行格式检查,如果格式不正确则不进行解析,而eval()则可以解析任何字符串,eval是不安全的. 比如下面的字符串: var str = 'a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2BkXb.html" rel="bookmark">为JS扩展Array&period;prototype&period;indexOf引发的问题探讨及解决&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Array没有indexOf方法,这样在一个数组中查找某个元素的索引时比较麻烦,为了调用方便,于是通过prototype原型扩展了Array.prototype.indexOf(),这样用起来就比较方便了.但是这个自定义的indexOf在对数组进行遍历的时候却出现了问题. Array没有indexOf方法,这样在一个数组中查找某个元素的索引时比较麻烦,为了调用方便,于是通过prototype原型扩展了Array.prototype.indexOf(),这样用起来就比较方便了. 复制代码 代码如下			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv6l1M.html" rel="bookmark" class="title">php 输出变量加大括号&lbrace;&rcub;的作用</a>
					<div>
						php输出变量加大括号,这是什么写法?看下面一段代码: [php]   &lt;?php   header(&quot;Content-Type:text/html; charset=utf-8&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnk9Kz.html" rel="bookmark" class="title">提高ASP性能的最佳选择（二）</a>
					<div>
						性能 作者:青苹果工作室编译 是否应该开启缓冲器? 通过脚本程序启动缓冲器 在ASP脚本的顶部包含Response.Buffer=True ,IIS就会将页面的内容缓存. &lt; % OPTION  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4Py0p.html" rel="bookmark" class="title">DWR的Converter实现原理简单分析及应用</a>
					<div>
						我们在应用 DWR 调用远程方法时涉及到 JS 与 JAVA 之间参数和返回值的数据转换,例如: JS 的 123 与 Java 的 int或 Integer.long 间的转换 JS 的 &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY273Bp.html" rel="bookmark" class="title">微软披露Win8系统细节：资源占用比Win7更少</a>
					<div>
						Windows 7 SP1的系统资源使用状况 Windows 8的系统资源使用状况 新浪科技讯 北京时间10月8日早间消息,微软最新的Windows 8操作系统将支持平板电脑和上网本,这意味着该系统能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRZAVz.html" rel="bookmark" class="title">使用Windows PowerShell Web Access</a>
					<div>
						        微软在Windows Server 2012中引入了Windows PowerShell Web Access功能,该功能允许管理员通过网络控制台远程运行PowerShell命令和脚本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNqADb.html" rel="bookmark" class="title">Excel利用SUBTOTAL函数实现单元格隐藏</a>
					<div>
						  Excel利用SUBTOTAL函数实现单元格隐藏 1.首先,我们来看一下本次实例用到的数据,这里有三个城市,要求就是当我将青岛的所有数据隐藏后,汇总的时候统计的是未被隐藏的城市的指标总和,而当我将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oEBAb.html" rel="bookmark" class="title">怎么在线将pdf转换成word</a>
					<div>
						将pdf转换成word有可以在线转换的转换器,在线的不需要下载就可直接将文档转换成目标格式文件. 方法 1首先需要访问在线pdf转换器,可直接搜索进入. 2打开在线pdf转换器后选择对应的转换模式.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGZ8yp.html" rel="bookmark" class="title">Photoshop如何修复陈旧褪色的黑白照片？</a>
					<div>
						  现在很多家庭里面会有黑白照片,可这些照片经不住岁月的侵蚀,渐渐的褪去了颜色,就像陈旧的记忆渐渐模糊.很多照片承载着我们的记忆,甚至承载着我们先辈那些峥嵘的岁月. 怎样修复这些照片,让它们继续承载着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E63oM.html" rel="bookmark" class="title">好照片的HDR绘制漫画般朦胧的浪漫建筑</a>
					<div>
						摄影师Josh douglas smith照片中的朦胧美让许多摄影爱好者喜欢并且争相模仿,他的的建筑和室内摄影作品都显示出明亮的色彩和朦胧的美感,而Josh拍摄的外景更有日本漫画的朦胧感觉.温柔的浪漫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EPm8M.html" rel="bookmark" class="title">为Win8&period;1设置个性主题的诀窍</a>
					<div>
						  什么是Win8.1系统主题? - Win8.1系统主题是图片.颜色和声音的组合. 主题包括: 主题的各个部分: 1.桌面背景.为桌面上打开的窗口提供背景的图片.颜色或设计. 桌面背景可以是单张图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN19Qxb.html" rel="bookmark" class="title">360免费WiFi如何赢取更多金币？</a>
					<div>
						  (1)每天进入「360免费WiFi」中&quot;签到&quot;即可领取50金币; (2)占领WiFi赢金币,WiFi主人每日最多可赢取300金币收益; (3)参与幸运大转盘,即可赢取包括iPh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7NNAM.html" rel="bookmark" class="title">福昕阅读器书签功能怎么使用</a>
					<div>
						  福昕PDF阅读器作为一款功能全面的pdf阅读器,它除了拥有强大的PDF阅读功能以外,还具有强大的高级编辑功能,如创建编辑PDF.插入图片.连接.多媒体.动画.书签等操作,不过很多用户不知道如何使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1259z.html" rel="bookmark" class="title">asm-通过单张正面人脸照片建立三维人脸形状建模</a>
					<div>
						问题描述 通过单张正面人脸照片建立三维人脸形状建模 问题是这样:我需要通过一张正面人脸照片构建三维人脸模型. 思路:首先用主动形状模型(ASM)或其他的特征点定位方法定位照片中人脸的一定数量特征点(A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDej8Ob.html" rel="bookmark" class="title">select-vc&plus;&plus;6&period;0mfc中对double类型的数字怎么进行模糊查询</a>
					<div>
						问题描述 vc++6.0mfc中对double类型的数字怎么进行模糊查询 表中字段是double型的 str.Format(_T(&quot;select * from NeutronInput wh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7VOZM.html" rel="bookmark" class="title">c&plus;&plus;-UML大作业，图书管理系统，需要如下功能：</a>
					<div>
						问题描述 UML大作业,图书管理系统,需要如下功能: 需要如下功能: (1)图书管理系统能够为一定数量的借阅者提供服务.每个借阅者能够拥有唯一标识其存在的编号.图书馆向每一个借阅者发放图书证,其中包含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj3vGM.html" rel="bookmark" class="title">为apache配置代理服务器</a>
					<div>
						为了允许Apache作为代理服务器,需要将ProxyRequests设为On,所有请求均可由这台代理服务器代理服务.然后根据我们希望代理服务器做什么而增加什么附加配置.无论希望做什么,我们所选的代理配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0jvjp.html" rel="bookmark" class="title">java-jsp实现上传图片的功能。带有剪切图片的功能的纯js实现。谢谢~</a>
					<div>
						问题描述 jsp实现上传图片的功能.带有剪切图片的功能的纯js实现.谢谢~ jsp实现上传图片的功能.带有剪切图片的功能的纯js实现.谢谢~ 解决方案 通过JS实现上传图片的功能用jsp实现图片上传功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodnjvM.html" rel="bookmark" class="title">闲置品寄售网站让用户给自己打工</a>
					<div>
						舍得网的合作商家不少,商家有时有些&quot;特殊需求&quot;, 它们被舍得网包装成任务的形式让用户来打工.(CFP供图) 如果它仅是一个二手闲置物品寄售网站,那实在没啥可说的,这样的网站太多了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBWgJM.html" rel="bookmark" class="title">丹尼尔&CenterDot;霍顿：从25岁婚礼摄影师到孤独星球CEO的神奇经历</a>
					<div>
						许多年轻人带着决心.才能和乐观的心态迈上工作岗位,同时纯粹地希望能够得到展示自己才华的机会.而25岁的丹尼尔·霍顿获得的正是这种梦想成真的机会.过去的一年中,霍顿,这位前婚礼摄影师,以多媒体旅游指南公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8aLmp.html" rel="bookmark" class="title">Xp&sol;Win7查看操作系统是32位和64位的图文教程</a>
					<div>
						XP系统查看方法 在桌面上右键单机&quot;我的电脑&quot;选择&quot;属性&quot;,在&quot;常规&quot;选项卡下,我们可以看到系统的位数.(XP系统绝大多数都是32位的,64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY6X6b.html" rel="bookmark" class="title">ASP&period;net基础知识之常见错误分析&lowbar;实用技巧</a>
					<div>
						1:command调用存储过程的时候,如果输出是dataset,selectcommand的command对象的connection先要指出,否则catch一辈子也是空的..  2:存储过程的varc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qr5np.html" rel="bookmark" class="title">Android TextView中文本点击文字跳转 &lpar;代码简单&rpar;&lowbar;Android</a>
					<div>
						在web页面中,有a标签的超链接实现跳转,同样在Android当中,用TextView控件来显示文字,实现它的事件来跳转. 用过微博Android手机端的朋友的都知道微博正文有时有一些高亮显示的文本, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm6GRp.html" rel="bookmark" class="title">ios群组只能单向通讯</a>
					<div>
						问题描述 手机端装的是Demo版,模拟器安装集成的项目,用手机端可以给模拟器发消息,可以看到,但是用模拟器给手机端发消息,手机端没有收到,模拟器这边并没有显示什么问题 解决方案 模拟器发消息后dids ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GZ6PM.html" rel="bookmark" class="title">亚马逊Fire吸引力不够 对iPhone和安卓没有威胁</a>
					<div>
						据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,本月早些时候推出Fire手机,亚马逊在消费电子硬件市场上迈出了最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjodKmM.html" rel="bookmark" class="title">小程序之API管理</a>
					<div>
						 小程序在1月9日正式发布,小程序与微信.公众号绑定实现流量互转和更低的开发门槛,吸引了众多的开发者.小程序究竟是什么?我们先来看看小程序的结构: ![小程序代码](https://yqfile.al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wGwKz.html" rel="bookmark" class="title">javascript实现页面加载时设置input按钮焦点</a>
					<div>
						在电子商务的充值.支付等动作时:用户确认订单后,执行提交动作,我们把这个页面称为&quot;订单提交页面&quot;,订单打开一个新的页面跳转至支付平台进行订单的处理,这个页面即为&quot;支付平台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NKeXp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;完美&rdquo;市场无疆</a>
					<div>
						文·本刊资深记者 刘亮 图·由完美时空公司提供 完美时空打破了以往国内网游企业的惯性,短短几年时间,已经成为中国网游企业向海外市场出口的NO·1 工程师程义明和他的一位同事乘坐飞机安全降落在日本东京机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByEy4z.html" rel="bookmark" class="title">系统盘精简 系统镜像制作的经验&lowbar;WindowsXP</a>
					<div>
						一.系统盘的精简 平时我们安装的系统中有很多的组件和服务是不需要的,平时根本就用不到,所以我们可以对XP(2000)的安装盘进行精简,去掉哪些对我们没有用的内容.这里我推荐使用&quot;nlite& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVd6YVM.html" rel="bookmark" class="title">索尼停产磁带随身听网友织&OpenCurlyDoubleQuote;围脖&rdquo;怀念</a>
					<div>
						SONY &quot;还记得你的第一部随身听什么样子吗?假装买来听英语,最后还是在听流行歌--&quot;昨天,网络上的一条微博让好多人的记忆突然倒带,才发现一个时代已经悄然终结.22日,索尼宣布:停 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Oxr6b.html" rel="bookmark" class="title">骗子破解手机SIM卡服务密码短信诈骗钱财</a>
					<div>
						骗子以郑先生手机号码发出的短信 本报中山讯 记者潘林摄影报道:手机一直放在口袋里,密码却被盗走,手机也突然没了信号.可亲朋好友却接连收到他手机号码发出的短信,要求充值---中山市民郑先生向羊城晚报记者 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
